<?
 /*SCRIPT PARA MANTENIMIENTO DE CARGOS A ALUMNOS*/
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
 /*SOFTWARE: E-DUCATIVO */
  include("../fnc.php");
  enlinea_a();

  switch($tipo_trn){
   case "Add":
                  $id_pp=dec($idpp);
                  if(!$txtdescrip){
                    alert("Debe ingresar una descripción del cargo","$goback");
                  }
                  $sql="insert into cp_det_planesdepagos
                        set plan_pago='$id_pp',
                        descripcion='$txtdescrip',
                        valor='$txtvalor',
                        mes='0',
                        m1='$m1',
                        m2='$m2',
                        m3='$m3',
                        m4='$m4',
                        m5='$m5',
                        m6='$m6',
                        m7='$m7',
                        m8='$m8',
                        m9='$m9',
                        m10='$m10',
                        m11='$m11',
                        m12='$m12'";
                  $res=mysql_query($sql);
                  header("Location: frm_cp_editplanespago.php?idpp=$idpp");
   break;
   case "Update":
                  $idd_pp=dec($iddpp);
                  $sql="update cp_det_planesdepagos
                        set
                        descripcion='$txtdescrip',
                        valor='$txtvalor',
                        mes='0',
                        m1='$m1',
                        m2='$m2',
                        m3='$m3',
                        m4='$m4',
                        m5='$m5',
                        m6='$m6',
                        m7='$m7',
                        m8='$m8',
                        m9='$m9',
                        m10='$m10',
                        m11='$m11',
                        m12='$m12'
                        where id = '$idd_pp'";
        $upd=mysql_query($sql);
        if(!$upd){echo mysql_error();}
        header("Location: ./frm_cp_editplanespago.php?idpp=$idpp");
   break;

   case "Delete":
       if(!$confirmacion){
         confirmacion("Está seguro de eliminar este cargo","$PHP_SELF?tipo_trn=Delete&iddpp=$iddpp&idpp=$idpp&confirmacion=ok","$goback");
       }else{
         $idd_pp=dec($iddpp);
         $sql="delete from cp_det_planesdepagos where id = $idd_pp";
         //echo $sql;
         $qdel=mysql_query($sql);
         header("Location: ./frm_cp_editplanespago.php?idpp=$idpp");
       }
   break;
   default: inc_param();
  }

?>